# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.CharacterAppearanceData
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.CharacterAppearanceData
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.CharacterAppearanceData

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

c

net.psforever.packet.game.objectcreate

# CharacterAppearanceData 

###
Companion object CharacterAppearanceData

#### final case class CharacterAppearanceData(a: CharacterAppearanceA, b: CharacterAppearanceB, ribbons: RibbonBars)(name_padding: Int) extends StreamBitSize with Product with Serializable

A part of a representation of the avatar portion of `ObjectCreateDetailedMessage` packet data.
This is a shared partition of the data used to represent how the player's avatar is presented. It is utilized by both `0x17 ObjectCreateMessage CharacterData` and `0x18 ObjectCreateDetailedMessage DetailedCharacterData`. This can be considered the data that goes into creating the player's model.
Only a few changes would occur depending on which packet would deal with the data. One example is `facingYawUpper` which, when depicting avatars, can be set to represent non-trivial turning angles. When depicting other players, it is limited to a small range of angles in the direction of that model's forward-facing. Another example is the outfit information: not usually represented for avatars; but, always represented for other players.
One way the player's model can be changed dramatically involves being depicted as "released." In this form, their body appears as a backpack (or pumpkin or pastry) that can be looted for the equipment carried while alive. Companion data will describe how the player is represented while he is "dead," usually a requirement for being "released." Without that requirement here, it is possible to depicte the player as a "living backpack." The said equipment is also defined elsewhere. Another dramatic change replaces the player's model with a ball of plasma that masks the player while riding zip lines.
Exploration:
How do I crouch?

ribbons

  the four merit commendation ribbon medals

Source
  CharacterAppearanceData.scala
See also

  `CharacterData`

  `DetailedCharacterData`

Linear Supertypes
Serializable, Product, Equals, StreamBitSize, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CharacterAppearanceData
2. Serializable
3. Product
4. Equals
5. StreamBitSize
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new CharacterAppearanceData(a: CharacterAppearanceA, b: CharacterAppearanceB, ribbons: RibbonBars)(name_padding: Int)

   ribbons

     the four merit commendation ribbon medals

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def NamePadding: Int

   External access to the value padding on the name field.

   External access to the value padding on the name field. The padding will always be a number 0-7.

   returns

     the pad length in bits

5.  val a: CharacterAppearanceA
6.  def altModelBit: Option[Int]

   When a player is released-dead or attached to a zipline, their basic infantry model is replaced with a different one.

   When a player is released-dead or attached to a zipline, their basic infantry model is replaced with a different one.

   returns

     the length of the variable field that exists when using alternate models

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  val b: CharacterAppearanceB
9.  def bitsize: Long

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields.

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields. For example, a traditional `Int` is normally a 32-bit number, often rendered as a `32u` number. When parsed with a `uintL(7)`, it's length will be considered 7 bits (`7u`). (Note: being permanently signed, an `scodec` value of `32u` or longer must fit into a `Long` type.)

   returns

     the number of bits necessary to measure an object of this class; defaults to `0L`

   Definition Classes
     CharacterAppearanceData → StreamBitSize
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  def productElementNames: Iterator[String]
    Definition Classes
      Product
19.  val ribbons: RibbonBars
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from StreamBitSize

### Inherited from AnyRef

### Inherited from Any

### Ungrouped